> ## Documentation Index
> Fetch the complete documentation index at: https://docs.endorlabs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# CreatePackageManager

> Creates a package manager in a given namespace.



## OpenAPI

````yaml /api-reference/openapi.v3.json post /v1/namespaces/{tenant_meta.namespace}/package-managers
openapi: 3.0.3
info:
  description: Integrate your application with Endor Labs using the REST API.
  title: Endor Labs REST API Reference
  version: '1.0'
servers:
  - url: https://api.endorlabs.com/
security: []
tags:
  - name: AISastCustomerContextService
  - name: APIKeyService
  - name: APIKeyValidatorService
  - name: ArtifactSignatureService
  - name: AuditLogService
  - name: AuthenticationLogService
  - name: AuthenticationService
  - name: AuthorizationPolicyService
  - name: BatchFileSegmentsService
  - name: BatchNotificationService
  - name: CallGraphDataService
  - name: CodeOwnersService
  - name: DependencyMetadataService
  - name: EndorIgnoreEntryService
  - name: ExporterService
  - name: FindingLogService
  - name: FindingService
  - name: HuggingFaceModelService
  - name: HuggingFaceOrganizationService
  - name: IPAddressPolicyService
  - name: IdentityProviderService
  - name: InstallationService
  - name: InvitationService
  - name: LicenseDependencyService
  - name: LicenseNoticesReportService
  - name: LicenseSummaryService
  - name: LinterResultService
  - name: MalwareService
  - name: MetricService
  - name: NamespaceService
  - name: NotificationService
  - name: NotificationTargetService
  - name: OnPremSchedulerService
  - name: PRCommentConfigService
  - name: PackageFirewallLogService
  - name: PackageLicenseOverrideService
  - name: PackageLicenseQueryService
  - name: PackageLicenseService
  - name: PackageManagerService
  - name: PackageVersionService
  - name: PluginBinaryService
  - name: PolicyService
  - name: PolicyTemplateService
  - name: ProjectService
  - name: ProvisioningResultService
  - name: QueryMalwareService
  - name: QueryService
  - name: QuerySimilarPackagesService
  - name: QueryVulnerabilityService
  - name: RegistryIngestionCheckpointService
  - name: RepositoryService
  - name: RepositoryVersionService
  - name: RuleSetImportService
  - name: SBOMExportService
  - name: SBOMImportService
  - name: SCMCredentialService
  - name: SavedQueryService
  - name: ScanLogRequestService
  - name: ScanProfileService
  - name: ScanResultService
  - name: ScanWorkflowResultService
  - name: ScanWorkflowService
  - name: SecretRuleService
  - name: SemgrepRuleService
  - name: SystemConfigService
  - name: TenantService
  - name: VEXExportService
  - name: VectorStoreService
  - name: VersionUpgradeService
  - name: VulnerabilityService
paths:
  /v1/namespaces/{tenant_meta.namespace}/package-managers:
    post:
      tags:
        - PackageManagerService
      summary: CreatePackageManager
      description: Creates a package manager in a given namespace.
      operationId: PackageManagerService_CreatePackageManager
      parameters:
        - description: >-
            Namespaces are a way to organize organizational units into virtual

            groupings of resources. Namespaces must be a fully qualified name,

            for example, the child namespace of namespace "endor.prod" called
            "app"

            is called "endor.prod.app".
          in: path
          name: tenant_meta.namespace
          required: true
          schema:
            type: string
          x-endor-name: Namespace
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/PackageManagerServiceCreatePackageManagerBody
        required: true
        x-originalParamName: body
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1PackageManager'
          description: A successful response.
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/googlerpcStatus'
          description: An unexpected error response.
components:
  schemas:
    PackageManagerServiceCreatePackageManagerBody:
      description: |-
        PackageManager holds the data for the various package
        managers of the enterprise. Mainly locations and
        access credentials when needed to resolve/scan packages
        from private package managers.
        An enterprise can create one or more package managers
        in a namespace. All the package managers of the given
        namespace will be taken into account when resolving.
      properties:
        meta:
          $ref: '#/components/schemas/v1Meta'
        propagate:
          description: >-
            Propagate indicates that the object should be visible in child
            namespaces.
          type: boolean
        spec:
          $ref: '#/components/schemas/v1PackageManagerSpec'
        tenant_meta:
          description: Git repositories are associated tenant.
          title: Git repositories are associated tenant.
          type: object
        uuid:
          description: The UUID of the package manager.
          readOnly: true
          type: string
      required:
        - meta
        - spec
      type: object
    v1PackageManager:
      description: |-
        PackageManager holds the data for the various package
        managers of the enterprise. Mainly locations and
        access credentials when needed to resolve/scan packages
        from private package managers.
        An enterprise can create one or more package managers
        in a namespace. All the package managers of the given
        namespace will be taken into account when resolving.
      properties:
        meta:
          $ref: '#/components/schemas/v1Meta'
        propagate:
          description: >-
            Propagate indicates that the object should be visible in child
            namespaces.
          type: boolean
        spec:
          $ref: '#/components/schemas/v1PackageManagerSpec'
        tenant_meta:
          $ref: '#/components/schemas/v1TenantMeta'
        uuid:
          description: The UUID of the package manager.
          readOnly: true
          type: string
      required:
        - meta
        - spec
      type: object
    googlerpcStatus:
      description: >-
        The `Status` type defines a logical error model that is suitable for

        different programming environments, including REST APIs and RPC APIs. It
        is

        used by [gRPC](https://github.com/grpc). Each `Status` message contains

        three pieces of data: error code, error message, and error details.


        You can find out more about this error model and how to work with it in
        the

        [API Design Guide](https://cloud.google.com/apis/design/errors).
      properties:
        code:
          description: |-
            The status code, which should be an enum value of
            [google.rpc.Code][google.rpc.Code].
          format: int32
          type: integer
        details:
          description: >-
            A list of messages that carry the error details.  There is a common
            set of

            message types for APIs to use.
          items:
            $ref: '#/components/schemas/googleprotobufAny'
          type: array
        message:
          description: >-
            A developer-facing error message, which should be in English. Any

            user-facing error message should be localized and sent in the

            [google.rpc.Status.details][google.rpc.Status.details] field, or
            localized

            by the client.
          type: string
      type: object
    v1Meta:
      description: Common fields for all Endor Labs resources.
      properties:
        annotations:
          additionalProperties:
            type: string
          description: >-
            Annotations can be used to attach metadata to a resource message.

            Annotation values can be small or large, structured or unstructured,

            and may include characters not permitted by labels.

            The keys may contain alphanumerics, underscores (_), dots (.) and
            dashes

            (-). The values of an annotation must be 16384 bytes or smaller.
          type: object
        create_time:
          description: |-
            Time the resource was created.

            Format: 2017-01-15T01:30:15.01Z
            RFC 3339: https://www.ietf.org/rfc/rfc3339.txt.
          format: date-time
          readOnly: true
          type: string
        created_by:
          description: |-
            Name and authentication source of the user who created the object,
            for example, ewok@endor.ai@google@api-key.
          readOnly: true
          type: string
        description:
          description: Resource description. Must be less than 1024 bytes.
          type: string
        index_data:
          $ref: '#/components/schemas/v1IndexData'
        kind:
          description: >-
            Resource kind, for example, HelloResponse.

            Auto-generated using the protobuf message
            proto.MessageName().Name().
          readOnly: true
          type: string
        name:
          description: Resource name. Must be 63 characters or less.
          type: string
        parent_kind:
          description: Parent object resource kind, for example, Project.
          type: string
        parent_uuid:
          description: Parent object UUID.
          type: string
        references:
          additionalProperties:
            $ref: '#/components/schemas/googleprotobufAny'
          description: Map of objects referenced in a query API.
          readOnly: true
          type: object
        tags:
          description: >-
            List of tags attached to the resource.

            Tags can be used to select objects and to find collections of
            objects that

            satisfy certain conditions. A tag must be 255 characters or less.
          items:
            type: string
          type: array
        update_time:
          description: |-
            Time the resource was last updated.
            Note: Updated on all create/patch/delete operations.

            Format: 2017-01-15T01:30:15.01Z
            RFC 3339: https://www.ietf.org/rfc/rfc3339.txt.
          format: date-time
          readOnly: true
          type: string
        updated_by:
          description: >-
            Name and authentication source of the last user who updated the
            object,

            for example, vulnerabilityingestor@endor.ai@x509.
          readOnly: true
          type: string
        upsert_time:
          description: |-
            Time the resource was last upserted.

            Note:
            create_time is only set the first time the resource is created.
            upsert_time is set every time the resource is upseted.

            Format: 2017-01-15T01:30:15.01Z
            RFC 3339: https://www.ietf.org/rfc/rfc3339.txt.
          format: date-time
          readOnly: true
          type: string
        version:
          description: Message version.
          readOnly: true
          type: string
      required:
        - name
      type: object
    v1PackageManagerSpec:
      properties:
        auth_provider:
          $ref: '#/components/schemas/PackageManagerAuthProvider'
        cargo:
          $ref: '#/components/schemas/v1CargoSpec'
        cocoapod:
          $ref: '#/components/schemas/v1CocoapodSpec'
        conan:
          $ref: '#/components/schemas/v1ConanSpec'
        gem:
          $ref: '#/components/schemas/v1GemSpec'
        gradle:
          $ref: '#/components/schemas/v1GradleSpec'
        mvn:
          $ref: '#/components/schemas/v1MavenSpec'
        npm:
          $ref: '#/components/schemas/v1NPMSpec'
        nuget:
          $ref: '#/components/schemas/v1NugetSpec'
        package_manager_status:
          $ref: '#/components/schemas/SpecPackageManagerStatus'
        packagist:
          $ref: '#/components/schemas/v1PackagistSpec'
        pypi:
          $ref: '#/components/schemas/v1PypiSpec'
        swift:
          $ref: '#/components/schemas/v1SwiftSpec'
      type: object
    v1TenantMeta:
      description: Tenant related data for the tenant containing the resource.
      properties:
        namespace:
          description: >-
            Namespaces are a way to organize organizational units into virtual

            groupings of resources. Namespaces must be a fully qualified name,

            for example, the child namespace of namespace "endor.prod" called
            "app"

            is called "endor.prod.app".
          type: string
      required:
        - namespace
      type: object
    googleprotobufAny:
      additionalProperties: {}
      description: >-
        `Any` contains an arbitrary serialized protocol buffer message along
        with a

        URL that describes the type of the serialized message.


        Protobuf library provides support to pack/unpack Any values in the form

        of utility functions or additional generated methods of the Any type.


        Example 1: Pack and unpack a message in C++.

            Foo foo = ...;
            Any any;
            any.PackFrom(foo);
            ...
            if (any.UnpackTo(&foo)) {
              ...
            }

        Example 2: Pack and unpack a message in Java.

            Foo foo = ...;
            Any any = Any.pack(foo);
            ...
            if (any.is(Foo.class)) {
              foo = any.unpack(Foo.class);
            }
            // or ...
            if (any.isSameTypeAs(Foo.getDefaultInstance())) {
              foo = any.unpack(Foo.getDefaultInstance());
            }

         Example 3: Pack and unpack a message in Python.

            foo = Foo(...)
            any = Any()
            any.Pack(foo)
            ...
            if any.Is(Foo.DESCRIPTOR):
              any.Unpack(foo)
              ...

         Example 4: Pack and unpack a message in Go

             foo := &pb.Foo{...}
             any, err := anypb.New(foo)
             if err != nil {
               ...
             }
             ...
             foo := &pb.Foo{}
             if err := any.UnmarshalTo(foo); err != nil {
               ...
             }

        The pack methods provided by protobuf library will by default use

        'type.googleapis.com/full.type.name' as the type URL and the unpack

        methods only use the fully qualified type name after the last '/'

        in the type URL, for example "foo.bar.com/x/y.z" will yield type

        name "y.z".


        JSON

        ====

        The JSON representation of an `Any` value uses the regular

        representation of the deserialized, embedded message, with an

        additional field `@type` which contains the type URL. Example:

            package google.profile;
            message Person {
              string first_name = 1;
              string last_name = 2;
            }

            {
              "@type": "type.googleapis.com/google.profile.Person",
              "firstName": <string>,
              "lastName": <string>
            }

        If the embedded message type is well-known and has a custom JSON

        representation, that representation will be embedded adding a field

        `value` which holds the custom JSON in addition to the `@type`

        field. Example (for message [google.protobuf.Duration][]):

            {
              "@type": "type.googleapis.com/google.protobuf.Duration",
              "value": "1.212s"
            }
      properties:
        '@type':
          description: >-
            A URL/resource name that uniquely identifies the type of the
            serialized

            protocol buffer message. This string must contain at least

            one "/" character. The last segment of the URL's path must represent

            the fully qualified name of the type (as in

            `path/google.protobuf.Duration`). The name should be in a canonical
            form

            (e.g., leading "." is not accepted).


            In practice, teams usually precompile into the binary all types that
            they

            expect it to use in the context of Any. However, for URLs which use
            the

            scheme `http`, `https`, or no scheme, one can optionally set up a
            type

            server that maps type URLs to message definitions as follows:


            * If no scheme is provided, `https` is assumed.

            * An HTTP GET on the URL must yield a [google.protobuf.Type][]
              value in binary format, or produce an error.
            * Applications are allowed to cache lookup results based on the
              URL, or have them precompiled into a binary to avoid any
              lookup. Therefore, binary compatibility needs to be preserved
              on changes to types. (Use versioned type names to manage
              breaking changes.)

            Note: this functionality is not currently available in the official

            protobuf release, and it is not used for type URLs beginning with

            type.googleapis.com. As of May 2023, there are no widely used type
            server

            implementations and no plans to implement one.


            Schemes other than `http`, `https` (or the empty scheme) might be

            used with implementation specific semantics.
          type: string
      type: object
    v1IndexData:
      description: |-
        IndexData is used to index the resource for search. It's an internal
        object.
      properties:
        data:
          items:
            type: string
          readOnly: true
          type: array
        search_score:
          description: >-
            search_score is the score of the resource for search. Internal use
            only.
          format: float
          readOnly: true
          type: number
        tenant:
          readOnly: true
          type: string
        will_be_deleted_at:
          description: Time that the resource will be deleted.
          format: date-time
          readOnly: true
          type: string
      type: object
    PackageManagerAuthProvider:
      properties:
        aws:
          $ref: '#/components/schemas/PackageManagerAWSAuthProvider'
        gar:
          $ref: '#/components/schemas/PackageManagerGARAuthProvider'
        package_manager_type:
          $ref: '#/components/schemas/PackageManagerAuthProviderPackageManagerType'
      required:
        - package_manager_type
      type: object
    v1CargoSpec:
      description: CargoSpec represents a configuration for Cargo.
      properties:
        priority:
          description: |-
            The priority of Cargo.
            Priorities are relative. If multiple package managers
            have the same priority, the order between them can be random.
            Lower number means higher priority.
          format: int32
          type: integer
        token:
          description: A token that must be provided by the repository owner.
          type: string
        url:
          description: The url of the crates registry that Cargo must use.
          type: string
      required:
        - priority
      type: object
    v1CocoapodSpec:
      description: |-
        Represents a configuration for the Cocoapod package manager.
        Cocoapods does not support any registry authentication.
      properties:
        priority:
          description: |-
            The priority of the Cocoapod package manager.
            Priorities are relative. If multiple package managers
            have the same priority, the order between them can be random.
            Lower number means higher priority.
          format: int32
          type: integer
        url:
          description: The URL of the registry that the Cocoapods package manager must use.
          type: string
      required:
        - priority
      type: object
    v1ConanSpec:
      description: Represents a configuration for the Conan package manager.
      properties:
        aws:
          $ref: '#/components/schemas/PackageManagerAWSAuthProvider'
        basic_auth:
          $ref: '#/components/schemas/v1ConanSpecBasicAuth'
        priority:
          description: |-
            The priority of the Conan package manager.
            Priorities are relative. If multiple package managers
            have the same priority, the order between them can be random.
            Lower number means higher priority.
          format: int32
          type: integer
        remote_name:
          description: The logical name of the remote in the Conan client configuration.
          type: string
        url:
          description: The URL of the Conan remote registry.
          type: string
      required:
        - priority
        - url
      type: object
    v1GemSpec:
      description: GemSpec represents a configuration for the Ruby gems package manager.
      properties:
        password:
          description: An encrypted password that must be provided by the repository owner.
          type: string
        priority:
          description: |-
            The priority of the Ruby gems package manager.
            Priorities are relative. If multiple package managers
            have the same priority, the order between them can be random.
            Lower number means higher priority.
          format: int32
          type: integer
        url:
          description: The URL of the registry that the Ruby gems package manager must use.
          type: string
        user:
          description: The user name to use to access this repository.
          type: string
      required:
        - priority
      type: object
    v1GradleSpec:
      description: >-
        GradleSpec represents properties that need to be set for Gradle
        projects.
      properties:
        mtls:
          $ref: '#/components/schemas/v1MTLSAuth'
        property_key_name:
          description: The key name for Gradle properties.
          type: string
        property_key_value:
          description: The key value for Gradle properties.
          type: string
      type: object
    v1MavenSpec:
      description: MavenSpec represents a configuration for the Maven package manager.
      properties:
        id:
          description: |-
            A string that uniquely identifies this proxy/server. This is the
            UUID of the object if not provided.
          type: string
        is_plugin_repository:
          description: Indicates whether the repository is a plugin or binary repository.
          type: boolean
        mtls:
          $ref: '#/components/schemas/v1MTLSAuth'
        name:
          description: |-
            User identifiable name for the repository. This is the name
            of the package manager if not provided.
          type: string
        password:
          title: |-
            An encrypted password that must be provided by the repository owner.
            https://maven.apache.org/guides/mini/guide-encryption.html
          type: string
        priority:
          description: |-
            The priority of the Maven package manager.
            Priorities are relative. If multiple package managers
            have the same priority, the order between them can be random.
            Lower number means higher priority.
          format: int32
          type: integer
        public_repository:
          description: Indicates if cloud storage is accessible publicly.
          type: boolean
        region:
          title: Region to be used for cloud storage integration
          type: string
        snapshots:
          description: Indicates whether the repository can contain snapshot versions.
          type: boolean
        url:
          description: The URL of the registry that the Maven package manager must use.
          type: string
        user:
          description: The user name to use to access this repo.
          type: string
      required:
        - priority
      type: object
    v1NPMSpec:
      description: NPMSpec represents a configuration for the Node package manager.
      properties:
        auth_token:
          description: >-
            An auth token that cloud providers typically provide to connect to
            the

            registry.
          type: string
        mtls:
          $ref: '#/components/schemas/v1MTLSAuth'
        priority:
          description: |-
            The priority of the Node package manager.
            Priorities are relative. If multiple package managers
            have the same priority, the order between them can be random.
            Lower number means higher priority.
          format: int32
          type: integer
        scope:
          title: |-
            A private registry scope.
            Ex: @myorg/pkg
            myorg is the scope
          type: string
        token:
          description: A base64 encoded user name and password as token.
          type: string
        url:
          description: The URL of the registry that NPM must use.
          type: string
      required:
        - priority
      type: object
    v1NugetSpec:
      description: NugetSpec represents a configuration for the NuGet package manager.
      properties:
        password:
          description: An encrypted password that must be provided by the repository owner.
          type: string
        priority:
          description: |-
            The priority of the NuGet package manager.
            Priorities are relative. If multiple package managers
            have the same priority, the order between them can be random.
            Lower number means higher priority.
          format: int32
          type: integer
        url:
          description: The URL of the registry that the NuGet package manager must use.
          type: string
        user:
          description: The username to use to access this repository.
          type: string
      required:
        - priority
      type: object
    SpecPackageManagerStatus:
      properties:
        error_message:
          description: error_message if any was found.
          readOnly: true
          type: string
        last_tested_at:
          description: last_tested_at is the time when the package manager was last tested.
          format: date-time
          type: string
        state:
          $ref: '#/components/schemas/SpecPackageManagerStatusState'
      type: object
    v1PackagistSpec:
      description: Represents a configuration for the Packagist(PHP) package manager.
      properties:
        auth_kind:
          $ref: '#/components/schemas/PackagistSpecAuthKind'
        host:
          description: >-
            The host name of the registry or repository where the PHP packages
            are

            hosted.
          type: string
        password:
          description: An encrypted password that must be provided by the repository owner.
          type: string
        user:
          description: The user name to use to access the given host.
          type: string
      required:
        - auth_kind
      type: object
    v1PypiSpec:
      description: PypiSpec represents a configuration for the Python package manager.
      properties:
        mtls:
          $ref: '#/components/schemas/v1MTLSAuth'
        password:
          description: An encrypted password that must be provided by the repository owner.
          type: string
        priority:
          description: |-
            The priority of the Python package manager.
            Priorities are relative. If multiple package managers
            have the same priority, the order between them can be random.
            Lower number means higher priority.
          format: int32
          type: integer
        url:
          description: The URL of the registry that the Python package manager must use.
          type: string
        user:
          description: The user name to use to access this repository.
          type: string
      required:
        - priority
      type: object
    v1SwiftSpec:
      description: Represents a configuration for the Swift package manager.
      properties:
        basic_auth:
          $ref: '#/components/schemas/v1SwiftSpecBasicAuth'
        priority:
          description: |-
            The priority of the Swift package manager.
            Priorities are relative. If multiple package managers
            have the same priority, the order between them can be random.
            Lower number means higher priority.
          format: int32
          type: integer
        scope:
          description: The private registry scope.
          type: string
        token:
          description: Access token to authenticate to the registry.
          type: string
        url:
          description: The URL of the registry that the Swift package manager must use.
          type: string
      required:
        - priority
      type: object
    PackageManagerAWSAuthProvider:
      description: >-
        AWSAuthProvider represents a configuration for the authentication with
        the

        AWS Code Artifact repository.
      properties:
        allowed_audience:
          description: allowed_audience is the allowed audience value to retrieve the role.
          type: string
        domain:
          description: domain name of the AWS Code Artifact repository.
          type: string
        domain_owner:
          description: domain_owner of the AWS Code Artifact repository.
          type: string
        region:
          description: region is the region of the AWS Code Artifact repository.
          type: string
        repository:
          description: repositiry of the AWS Code Artifact repository.
          type: string
        target_role_arn:
          description: target_role_arn is the role that we need to assume in AWS.
          type: string
      required:
        - domain
        - domain_owner
        - repository
        - target_role_arn
        - allowed_audience
        - region
      type: object
    PackageManagerGARAuthProvider:
      description: |-
        GARAuthProvider represents a configuration for authentication with
        Google Artifact Registry.
        Supported package manager types: NPM, MVN, GRADLE, PYPI.
        Unsupported types (CARGO, GEM, NUGET, PACKAGIST, COCOAPOD, SWIFT)
        are rejected at runtime.
      properties:
        location:
          description: >-
            location is the GCP region or multi-region where the repository is
            hosted

            (e.g., "us-central1", "europe-west1", "us").
          type: string
        project_id:
          description: >-
            project_id is the GCP project ID that hosts the Artifact Registry
            repository.
          type: string
        repository:
          description: repository is the name of the Artifact Registry repository.
          type: string
        service_account_key:
          description: |-
            service_account_key is the JSON key for a GCP service account with
            artifactregistry.reader permissions. Encrypted at rest.
          type: string
      required:
        - project_id
        - location
        - repository
        - service_account_key
      type: object
    PackageManagerAuthProviderPackageManagerType:
      default: PACKAGE_MANAGER_TYPE_UNSPECIFIED
      enum:
        - PACKAGE_MANAGER_TYPE_UNSPECIFIED
        - PACKAGE_MANAGER_TYPE_NPM
        - PACKAGE_MANAGER_TYPE_MVN
        - PACKAGE_MANAGER_TYPE_CARGO
        - PACKAGE_MANAGER_TYPE_PYPI
        - PACKAGE_MANAGER_TYPE_GEM
        - PACKAGE_MANAGER_TYPE_NUGET
        - PACKAGE_MANAGER_TYPE_PACKAGIST
        - PACKAGE_MANAGER_TYPE_GRADLE
        - PACKAGE_MANAGER_TYPE_COCOAPOD
        - PACKAGE_MANAGER_TYPE_SWIFT
        - PACKAGE_MANAGER_TYPE_CONAN
      type: string
    v1ConanSpecBasicAuth:
      properties:
        password:
          description: Password or API token for basic auth.
          type: string
        username:
          description: Username for basic auth (JFrog Artifactory or self-hosted).
          type: string
      required:
        - username
        - password
      type: object
    v1MTLSAuth:
      properties:
        ca_cert:
          description: The CA certificate in PEM format.
          type: string
        client_cert:
          description: The client certificate in PEM format.
          type: string
        client_key:
          description: The client key in PEM format.
          type: string
        server_cert:
          description: The server certificate in PEM format.
          type: string
      required:
        - client_cert
        - client_key
      type: object
    SpecPackageManagerStatusState:
      default: STATE_UNSPECIFIED
      description: The status of the package manager.
      enum:
        - STATE_UNSPECIFIED
        - STATE_SUCCESS
        - STATE_FAIL
      type: string
    PackagistSpecAuthKind:
      default: AUTH_KIND_UNSPECIFIED
      description: >-
        Auth methods for Packagist - reference

        https://getcomposer.org/doc/articles/authentication-for-private-packages.md.
      enum:
        - AUTH_KIND_UNSPECIFIED
        - AUTH_KIND_HTTP_BASIC
        - AUTH_KIND_HTTP_BEARER
        - AUTH_KIND_GITHUB_OAUTH
        - AUTH_KIND_GITLAB_OAUTH
        - AUTH_KIND_GITLAB_TOKEN
        - AUTH_KIND_BITBUCKET_OAUTH
      type: string
    v1SwiftSpecBasicAuth:
      properties:
        password:
          type: string
        username:
          type: string
      type: object

````